Index: PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/NOC/SWITCH_GEN.vhd
===================================================================
--- PROJECT_CORE_MPI/MPI_HCL/TRUNK/NOC/SWITCH_GEN.vhd	(revision 101)
+++ PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/NOC/SWITCH_GEN.vhd	(revision 139)
@@ -14,5 +14,5 @@
 -- nécessaire à l'implémentation  du switch de la dimension voulue
 -- Dependencies: 
---
+-- Modifié le 28/04/1975
 -- Revision: 
 -- Revision 0.01 - File Created
@@ -32,20 +32,23 @@
 entity SWITCH_GEN is 
  --type portio is array(positive range) of std_logic_vector (7 downto 0);    
- generic(number_of_ports : positive := 8);
+ generic(n_ports : positive := 8;-- :nombre de ports E/S du NoC 2 à 16
+        tot_ports: positive :=16; -- nombre total de ports
+	 NET_ADR :std_logic_vector(9 downto 0):="0000000000";
+	 NET_MASK:natural:=0); -- Nombre de bits à un du masque en partant de la gauche
      port(
 	        -- ports d'entree
-           Port_in : in typ_portIO(1 to number_of_ports) ;
+           Port_in : in typ_portIO(1 to n_ports) ;
 
 			 
 			  -- port de sortie
-			  Port_out : out  typ_portIO(1 to number_of_ports);
+			  Port_out : out  typ_portIO(1 to n_ports);
 
 			  -- signaux de controle
-			  data_in_en : in std_logic_vector(number_of_ports downto 1);
-			  cmd_in_en :  in std_logic_vector(number_of_ports downto 1);
-			  data_out_en : in std_logic_vector(number_of_ports downto 1);
-			  fifo_in_full : out std_logic_vector(number_of_ports downto 1);
-			  fifo_in_empty : out std_logic_vector(number_of_ports downto 1);
-			  data_available : out std_logic_vector(number_of_ports downto 1);
+			  data_in_en : in std_logic_vector(n_ports downto 1);
+			  cmd_in_en :  in std_logic_vector(n_ports downto 1);
+			  data_out_en : in std_logic_vector(n_ports downto 1);
+			  fifo_in_full : out std_logic_vector(n_ports downto 1);
+			  fifo_in_empty : out std_logic_vector(n_ports downto 1);
+			  data_available : out std_logic_vector(n_ports downto 1);
 			  clk       : in   STD_LOGIC;
 			  reset     : in   STD_LOGIC);
@@ -58,16 +61,23 @@
 COMPONENT INPUT_PORT_MODULE
   generic(number_of_ports : positive := 8;
-			Port_num: natural);
-    Port ( data_in : in  STD_LOGIC_VECTOR (7 downto 0);
+			Port_num: natural;
+			adr_mask : natural := NET_MASK;--le nombre de '1' en partant le la gauche de l'adresse
+			adr_len: positive:=NET_ADR'length; --la taille en bit de l'adresse 10 bits --> 1024 hotes
+			tot_ports: positive :=tot_ports; --Nomnre de ports total du réseau
+			adr_sub_net : std_logic_vector(9 downto 0) := NET_ADR;--l'adresse du sous-réseau
+      nbyte : positive:=2 -- le nombre de Byte dans chaque mot du port par défaut 2
+			
+			);
+    Port ( data_in : in  STD_LOGIC_VECTOR (Word-1 downto 0);
            data_in_en : in  STD_LOGIC;
 			  cmd_in_en : in  STD_LOGIC;
            reset : in  STD_LOGIC;
 			  clk   : in  STD_LOGIC;
-			  request : out  STD_LOGIC_VECTOR (number_of_ports downto 1);
-           grant : in  STD_LOGIC_VECTOR (number_of_ports  downto 1);			  
+			  request : out  STD_LOGIC_VECTOR (n_ports downto 1);
+           grant : in  STD_LOGIC_VECTOR (n_ports  downto 1);			  
            fifo_full : out  STD_LOGIC;
 			  fifo_empty : out  STD_LOGIC;
 			  priority_rotation : out std_logic;
-           data_out : out  STD_LOGIC_VECTOR (7 downto 0);
+           data_out : out  STD_LOGIC_VECTOR (7 downto 0); -- le crossbar est fixé à 8 bits
 			  data_out_pulse : out std_logic);
 END COMPONENT;
@@ -77,10 +87,10 @@
 COMPONENT OUTPUT_PORT_MODULE
 	PORT(
-		data_in : IN std_logic_vector(7 downto 0);
+		data_in : IN std_logic_vector(7 downto 0); -- le crossbar est fixé à 8 bits
 		reset : IN std_logic;
 		clk : IN std_logic;
 		wr_en : IN std_logic;
 		rd_out_en : IN std_logic;          
-		data_out : OUT std_logic_vector(7 downto 0);
+		data_out : OUT std_logic_vector(Word-1 downto 0);
 		fifo_full : OUT std_logic;
 		data_avalaible : OUT std_logic
@@ -185,20 +195,20 @@
 --declaration des signaux de connection entre les modules du switch
 
-Signal Request_signal : STD_LOGIC_VECTOR(number_of_ports*number_of_ports downto 1);
-Signal grant_signal : STD_LOGIC_VECTOR(number_of_ports*number_of_ports downto 1);
-Signal priority_rotation_signal : STD_LOGIC_VECTOR(number_of_ports downto 1);
-signal fifo_out_full_signal : std_logic_vector(number_of_ports downto 1);
-
-signal crossbar_in_port :  Typ_PortIO(1 to number_of_ports);
-
-
-
-signal crossbar_out_port  :  Typ_PortIO(1 to number_of_ports);
-
-
-signal crossbar_in_pulse  : std_logic_vector(number_of_ports downto 1);
-
-
-signal crossbar_out_pulse  : std_logic_vector(number_of_ports downto 1);
+Signal Request_signal : STD_LOGIC_VECTOR(n_ports*n_ports downto 1);
+Signal grant_signal : STD_LOGIC_VECTOR(n_ports*n_ports downto 1);
+Signal priority_rotation_signal : STD_LOGIC_VECTOR(n_ports downto 1);
+signal fifo_out_full_signal : std_logic_vector(n_ports downto 1);
+
+signal crossbar_in_port :  Typ_PortIO8(1 to n_ports);
+
+
+
+signal crossbar_out_port  :  Typ_PortIO8(1 to n_ports);
+
+
+signal crossbar_in_pulse  : std_logic_vector(n_ports downto 1);
+
+
+signal crossbar_out_pulse  : std_logic_vector(n_ports downto 1);
 
 
@@ -208,8 +218,13 @@
 -- le circuit genere depend du parametre generique nombre de ports
 -- switch 2 ports
-switch2x2 : if number_of_ports = 2 generate
+switch2x2 : if n_ports = 2 generate
 
 PORT1_INPUT_PORT_MODULE: INPUT_PORT_MODULE 
-GENERIC MAP(number_of_ports =>2,Port_num=>1)
+GENERIC MAP(number_of_ports =>2,Port_num=>1,
+adr_mask => NET_MASK,--le nombre de '1' en partant le la gauche de l'adresse
+			adr_len=>NET_ADR'length, --la taille en bit de l'adresse 10 bits --> 1024 hotes
+			tot_ports=>tot_ports, --Nomnre de ports total du réseau
+			adr_sub_net => NET_ADR,--l'adresse du sous-réseau
+      nbyte =>WORD/8)
 PORT MAP(
    data_in => Port_in(1),
@@ -230,5 +245,10 @@
 
 PORT2_INPUT_PORT_MODULE: INPUT_PORT_MODULE 
-GENERIC MAP(number_of_ports =>2,Port_num=>2)
+GENERIC MAP(number_of_ports =>2,Port_num=>2,
+adr_mask => NET_MASK,--le nombre de '1' en partant le la gauche de l'adresse
+			adr_len=>NET_ADR'length, --la taille en bit de l'adresse 10 bits --> 1024 hotes
+			tot_ports=>tot_ports, --Nomnre de ports total du réseau
+			adr_sub_net => NET_ADR,--l'adresse du sous-réseau
+      nbyte =>WORD/8)
 PORT MAP(
    data_in => Port_in(2),
@@ -252,8 +272,13 @@
 
 -- switch 3 ports
-switch3x3 : if number_of_ports = 3 generate
+switch3x3 : if n_ports = 3 generate
 
 PORT1_INPUT_PORT_MODULE: INPUT_PORT_MODULE 
-GENERIC MAP(number_of_ports =>3,Port_num=>1)
+GENERIC MAP(number_of_ports =>3,Port_num=>1,
+adr_mask => NET_MASK,--le nombre de '1' en partant le la gauche de l'adresse
+			adr_len=>NET_ADR'length, --la taille en bit de l'adresse 10 bits --> 1024 hotes
+			tot_ports=>tot_ports, --Nomnre de ports total du réseau
+			adr_sub_net => NET_ADR,--l'adresse du sous-réseau
+      nbyte =>WORD/8)
 PORT MAP(
    data_in => Port_in(1),
@@ -276,5 +301,10 @@
 
 PORT2_INPUT_PORT_MODULE: INPUT_PORT_MODULE 
-GENERIC MAP(number_of_ports =>3,Port_num=>2)
+GENERIC MAP(number_of_ports =>3,Port_num=>2,
+adr_mask => NET_MASK,--le nombre de '1' en partant le la gauche de l'adresse
+			adr_len=>NET_ADR'length, --la taille en bit de l'adresse 10 bits --> 1024 hotes
+			tot_ports=>tot_ports, --Nomnre de ports total du réseau
+			adr_sub_net => NET_ADR,--l'adresse du sous-réseau
+      nbyte =>WORD/8)
 PORT MAP(
    data_in => Port_in(2),
@@ -283,7 +313,7 @@
    reset => reset,
    clk =>clk,
-   grant(4) => grant_signal(4),
-   grant(5) => grant_signal(5),
-   grant(6) => grant_signal(6),
+   grant(1) => grant_signal(4),
+   grant(2) => grant_signal(5),
+   grant(3) => grant_signal(6),
    fifo_full =>fifo_in_full(2),
    priority_rotation =>  priority_rotation_signal(2),
@@ -291,11 +321,16 @@
    data_out =>crossbar_in_port(2),
    data_out_pulse =>crossbar_in_pulse(2),
-   request(4) =>request_signal(4),
-   request(5) =>request_signal(5),
-   request(6) =>request_signal(6)
+   request(1) =>request_signal(4),
+   request(2) =>request_signal(5),
+   request(3) =>request_signal(6)
 );
 
 PORT3_INPUT_PORT_MODULE: INPUT_PORT_MODULE 
-GENERIC MAP(number_of_ports =>3,Port_num=>3)
+GENERIC MAP(number_of_ports =>3,Port_num=>3,
+adr_mask => NET_MASK,--le nombre de '1' en partant le la gauche de l'adresse
+			adr_len=>NET_ADR'length, --la taille en bit de l'adresse 10 bits --> 1024 hotes
+			tot_ports=>tot_ports, --Nomnre de ports total du réseau
+			adr_sub_net => NET_ADR,--l'adresse du sous-réseau
+      nbyte =>WORD/8)
 PORT MAP(
    data_in => Port_in(3),
@@ -304,7 +339,7 @@
    reset => reset,
    clk =>clk,
-   grant(7) => grant_signal(7),
-   grant(8) => grant_signal(8),
-   grant(9) => grant_signal(9),
+   grant(1) => grant_signal(7),
+   grant(2) => grant_signal(8),
+   grant(3) => grant_signal(9),
    fifo_full =>fifo_in_full(3),
    priority_rotation =>  priority_rotation_signal(3),
@@ -312,7 +347,7 @@
    data_out =>crossbar_in_port(3),
    data_out_pulse =>crossbar_in_pulse(3),
-   request(7) =>request_signal(7),
-   request(8) =>request_signal(8),
-   request(9) =>request_signal(9)
+   request(1) =>request_signal(7),
+   request(2) =>request_signal(8),
+   request(3) =>request_signal(9)
 );
 
@@ -321,13 +356,18 @@
 
 -- switch 4 à 7 ports
-switch4x4_7x7 : if number_of_ports >= 4 and number_of_ports <=7 generate
-
-switch_4x4_7x7:for i in 1 to number_of_ports generate
-
-constant j: natural:=number_of_ports*(i-1);
+switch4x4_7x7 : if n_ports >= 4 and n_ports <=7 generate
+
+switch_4x4_7x7:for i in 1 to n_ports generate
+
+constant j: natural:=n_ports*(i-1);
 begin
---j=number_of_ports*(i-1);
+--j=n_ports*(i-1);
 PORTx4_INPUT_PORT_MODULE: INPUT_PORT_MODULE 
-GENERIC MAP(number_of_ports =>number_of_ports,Port_num=>i)
+GENERIC MAP(number_of_ports =>n_ports,Port_num=>i,
+adr_mask => NET_MASK,--le nombre de '1' en partant le la gauche de l'adresse
+			adr_len=>NET_ADR'length, --la taille en bit de l'adresse 10 bits --> 1024 hotes
+			tot_ports=>tot_ports, --Nomnre de ports total du réseau
+			adr_sub_net => NET_ADR,--l'adresse du sous-réseau
+      nbyte =>WORD/8)
 PORT MAP(
    data_in => Port_in(i),
@@ -336,5 +376,5 @@
    reset => reset,
    clk =>clk,
-	grant =>grant_signal(j+NUMBER_OF_PORTS downto j+1),
+	grant =>grant_signal(j+n_ports downto j+1),
  
    fifo_full =>fifo_in_full(i),
@@ -343,5 +383,5 @@
    data_out =>crossbar_in_port(i),
    data_out_pulse =>crossbar_in_pulse(i),
-	request =>request_signal(j+NUMBER_OF_PORTS downto j+1)
+	request =>request_signal(j+n_ports downto j+1)
    
 );
@@ -351,8 +391,8 @@
 
 ---- switch 5 ports
---switch5x5 : if number_of_ports = 5 generate
+--switch5x5 : if n_ports = 5 generate
 --
 --PORT1_INPUT_PORT_MODULE: INPUT_PORT_MODULE 
---GENERIC MAP(number_of_ports =>5)
+--GENERIC MAP(n_ports =>5)
 --PORT MAP(
 --   data_in => Port_in(1),
@@ -378,5 +418,5 @@
 --
 --PORT2_INPUT_PORT_MODULE: INPUT_PORT_MODULE 
---GENERIC MAP(number_of_ports =>5)
+--GENERIC MAP(n_ports =>5)
 --PORT MAP(
 --   data_in => Port_in(2),
@@ -402,5 +442,5 @@
 --
 --PORT3_INPUT_PORT_MODULE: INPUT_PORT_MODULE 
---GENERIC MAP(number_of_ports =>5)
+--GENERIC MAP(n_ports =>5)
 --PORT MAP(
 --   data_in => Port_in(3),
@@ -426,5 +466,5 @@
 --
 --PORT4_INPUT_PORT_MODULE: INPUT_PORT_MODULE 
---GENERIC MAP(number_of_ports =>5)
+--GENERIC MAP(n_ports =>5)
 --PORT MAP(
 --   data_in => Port_in(4),
@@ -450,5 +490,5 @@
 --
 --PORT5_INPUT_PORT_MODULE: INPUT_PORT_MODULE 
---GENERIC MAP(number_of_ports =>5)
+--GENERIC MAP(n_ports =>5)
 --PORT MAP(
 --   data_in => Port_in(5),
@@ -477,8 +517,8 @@
 --
 ---- switch 6 ports
---switch6x6 : if number_of_ports = 6 generate
+--switch6x6 : if n_ports = 6 generate
 --
 --PORT1_INPUT_PORT_MODULE: INPUT_PORT_MODULE 
---GENERIC MAP(number_of_ports =>6)
+--GENERIC MAP(n_ports =>6)
 --PORT MAP(
 --   data_in => Port_in(1),
@@ -845,11 +885,16 @@
 
 -- switch 8 ports
-switch8x8 : if number_of_ports = 8 generate
-switch_8x8:for i in 1 to number_of_ports generate
-constant j: natural:=number_of_ports*(i-1);
+switch8x8 : if n_ports = 8 generate
+switch_8x8:for i in 1 to n_ports generate
+constant j: natural:=n_ports*(i-1);
 begin
 --j<=number_of_ports*(i-1);
 PORTx8_INPUT_PORT_MODULE: INPUT_PORT_MODULE 
-GENERIC MAP(number_of_ports =>8,Port_num=>i)
+GENERIC MAP(number_of_ports =>8,Port_num=>i,
+adr_mask => NET_MASK,--le nombre de '1' en partant le la gauche de l'adresse
+			adr_len=>NET_ADR'length, --la taille en bit de l'adresse 10 bits --> 1024 hotes
+			tot_ports=>tot_ports, --Nomnre de ports total du réseau
+			adr_sub_net => NET_ADR,--l'adresse du sous-réseau
+      nbyte =>WORD/8)
 PORT MAP(
    data_in => Port_in(i),
@@ -858,5 +903,5 @@
    reset => reset,
    clk =>clk,
-	grant =>grant_signal(j+NUMBER_OF_PORTS downto j+1),
+	grant =>grant_signal(j+n_ports downto j+1),
    fifo_full =>fifo_in_full(i),
    priority_rotation =>  priority_rotation_signal(i),
@@ -865,5 +910,5 @@
    data_out_pulse =>crossbar_in_pulse(i),
 
-	request =>request_signal(j+NUMBER_OF_PORTS downto j+1)
+	request =>request_signal(j+n_ports downto j+1)
 );
 end generate switch_8x8;
@@ -871,13 +916,18 @@
 
 -- switch 9 ports
-switch9x9_to_15 : if (number_of_ports >= 9)and (number_of_ports <= 15) generate
-
-switch_9x9_to_15:for i in 1 to number_of_ports generate
-
-constant j: natural:=number_of_ports*(i-1);
+switch9x9_to_15 : if (n_ports >= 9)and (n_ports <= 15) generate
+
+switch_9x9_to_15:for i in 1 to n_ports generate
+
+constant j: natural:=n_ports*(i-1);
 begin
 
 PORTx9_INPUT_PORT_MODULE: INPUT_PORT_MODULE 
-GENERIC MAP(number_of_ports =>NUMBER_OF_PORTS,Port_num=>i)
+GENERIC MAP(number_of_ports =>n_ports,Port_num=>i,
+adr_mask => NET_MASK,--le nombre de '1' en partant le la gauche de l'adresse
+			adr_len=>NET_ADR'length, --la taille en bit de l'adresse 10 bits --> 1024 hotes
+			tot_ports=>tot_ports, --Nomnre de ports total du réseau
+			adr_sub_net => NET_ADR,--l'adresse du sous-réseau
+      nbyte =>WORD/8)
 PORT MAP(
    data_in => Port_in(i),
@@ -886,5 +936,5 @@
    reset => reset,
    clk =>clk,
-   grant => grant_signal(j+NUMBER_OF_PORTS downto j+1),
+   grant => grant_signal(j+n_ports downto j+1),
    fifo_full =>fifo_in_full(i),
    priority_rotation =>  priority_rotation_signal(i),
@@ -893,5 +943,5 @@
    data_out_pulse =>crossbar_in_pulse(i),
 
-	request =>request_signal(j+NUMBER_OF_PORTS downto j+1)
+	request =>request_signal(j+n_ports downto j+1)
 );
 end generate switch_9x9_to_15;
@@ -3897,7 +3947,7 @@
 
 -- switch 16 ports
-switch16x16 : if number_of_ports = 16 generate
-switch_16x16 :for i in 1 to number_of_ports generate
-Constant j : natural:=number_of_ports*(i-1);
+switch16x16 : if n_ports = 16 generate
+switch_16x16 :for i in 1 to n_ports generate
+Constant j : natural:=n_ports*(i-1);
 begin
 --j<=number_of_ports*(i-1);
@@ -4644,5 +4694,5 @@
 -- le circuit genere depend du parametre generique nombre de ports
 -- switch 2 ports
-port_out_switch2x2 : if number_of_ports = 2 generate
+port_out_switch2x2 : if n_ports = 2 generate
 
 PORT1_OUTPUT_PORT_MODULE: OUTPUT_PORT_MODULE 
@@ -4674,5 +4724,5 @@
 
 -- switch 3 ports
-port_out_switch3x3 : if number_of_ports = 3 generate
+port_out_switch3x3 : if n_ports = 3 generate
 
 PORT1_OUTPUT_PORT_MODULE: OUTPUT_PORT_MODULE 
@@ -4716,5 +4766,5 @@
 
 -- switch 4 ports
-port_out_switch4x4 : if number_of_ports = 4 generate
+port_out_switch4x4 : if n_ports = 4 generate
 
 PORT1_OUTPUT_PORT_MODULE: OUTPUT_PORT_MODULE 
@@ -4770,5 +4820,5 @@
 
 -- switch 5 ports
-port_out_switch5x5 : if number_of_ports = 5 generate
+port_out_switch5x5 : if n_ports = 5 generate
 
 PORT1_OUTPUT_PORT_MODULE: OUTPUT_PORT_MODULE 
@@ -4836,5 +4886,5 @@
 
 -- switch 6 ports
-port_out_switch6x6 : if number_of_ports = 6 generate
+port_out_switch6x6 : if n_ports = 6 generate
 
 PORT1_OUTPUT_PORT_MODULE: OUTPUT_PORT_MODULE 
@@ -4914,5 +4964,5 @@
 
 -- switch 7 ports
-port_out_switch7x7 : if number_of_ports = 7 generate
+port_out_switch7x7 : if n_ports = 7 generate
 
 PORT1_OUTPUT_PORT_MODULE: OUTPUT_PORT_MODULE 
@@ -5004,5 +5054,5 @@
 
 -- switch 8 ports
-port_out_switch8x8 : if number_of_ports = 8 generate
+port_out_switch8x8 : if n_ports = 8 generate
 
 PORT1_OUTPUT_PORT_MODULE: OUTPUT_PORT_MODULE 
@@ -5106,5 +5156,5 @@
 
 -- switch 9 ports
-port_out_switch9x9 : if number_of_ports = 9 generate
+port_out_switch9x9 : if n_ports = 9 generate
 
 PORT1_OUTPUT_PORT_MODULE: OUTPUT_PORT_MODULE 
@@ -5220,5 +5270,5 @@
 
 -- switch 10 ports
-port_out_switch10x10 : if number_of_ports = 10 generate
+port_out_switch10x10 : if n_ports = 10 generate
 
 PORT1_OUTPUT_PORT_MODULE: OUTPUT_PORT_MODULE 
@@ -5346,5 +5396,5 @@
 
 -- switch 11 ports
-port_out_switch11x11 : if number_of_ports = 11 generate
+port_out_switch11x11 : if n_ports = 11 generate
 
 PORT1_OUTPUT_PORT_MODULE: OUTPUT_PORT_MODULE 
@@ -5484,5 +5534,5 @@
 
 -- switch 12 ports
-port_out_switch12x12 : if number_of_ports = 12 generate
+port_out_switch12x12 : if n_ports = 12 generate
 
 PORT1_OUTPUT_PORT_MODULE: OUTPUT_PORT_MODULE 
@@ -5634,5 +5684,5 @@
 
 -- switch 13 ports
-port_out_switch13x13 : if number_of_ports = 13 generate
+port_out_switch13x13 : if n_ports = 13 generate
 
 PORT1_OUTPUT_PORT_MODULE: OUTPUT_PORT_MODULE 
@@ -5796,5 +5846,5 @@
 
 -- switch 14 ports
-port_out_switch14x14 : if number_of_ports = 14 generate
+port_out_switch14x14 : if n_ports = 14 generate
 
 PORT1_OUTPUT_PORT_MODULE: OUTPUT_PORT_MODULE 
@@ -5970,5 +6020,5 @@
 
 -- switch 15 ports
-port_out_switch15x15 : if number_of_ports = 15 generate
+port_out_switch15x15 : if n_ports = 15 generate
 
 PORT1_OUTPUT_PORT_MODULE: OUTPUT_PORT_MODULE 
@@ -6156,6 +6206,6 @@
 
 -- switch 16 ports
-port_out_switch16x16 : if number_of_ports = 16 generate
-port_out_switch_16x16:for i in 1 to number_of_ports generate
+port_out_switch16x16 : if n_ports = 16 generate
+port_out_switch_16x16:for i in 1 to n_ports generate
   begin
   PORTx16_OUTPUT_PORT_MODULE: OUTPUT_PORT_MODULE 
@@ -6177,5 +6227,5 @@
 -- le circuit genere depend du parametre generique nombre de ports
 -- switch 2 ports
-crossbar_switch2x2 : if number_of_ports = 2 generate
+crossbar_switch2x2 : if n_ports = 2 generate
 
 Switch_Crossbar2_2: Crossbar 
@@ -6225,5 +6275,5 @@
 
 -- switch 3 ports
-crossbar_switch3x3 : if number_of_ports = 3 generate
+crossbar_switch3x3 : if n_ports = 3 generate
 
 Switch_Crossbar3_3: Crossbar 
@@ -6275,5 +6325,5 @@
 
 -- switch 4 ports
-crossbar_switch4x4 : if number_of_ports = 4 generate
+crossbar_switch4x4 : if n_ports = 4 generate
 
 Switch_Crossbar4_4: Crossbar 
@@ -6327,5 +6377,5 @@
 
 -- switch 5 ports
-crossbar_switch5x5 : if number_of_ports = 5 generate
+crossbar_switch5x5 : if n_ports = 5 generate
 
 Switch_Crossbar5_5: Crossbar 
@@ -6381,5 +6431,5 @@
 
 -- switch 6 ports
-crossbar_switch6x6 : if number_of_ports = 6 generate
+crossbar_switch6x6 : if n_ports = 6 generate
 
 Switch_Crossbar6_6: Crossbar 
@@ -6438,5 +6488,5 @@
 
 -- switch 7 ports
-crossbar_switch7x7 : if number_of_ports = 7 generate
+crossbar_switch7x7 : if n_ports = 7 generate
 
 Switch_Crossbar7_7: Crossbar 
@@ -6496,5 +6546,5 @@
 
 -- switch 8 ports
-crossbar_switch8x8 : if number_of_ports = 8 generate
+crossbar_switch8x8 : if n_ports = 8 generate
 
 Switch_Crossbar8_8: Crossbar 
@@ -6556,5 +6606,5 @@
 
 -- switch 9 ports
-crossbar_switch9x9 : if number_of_ports = 9 generate
+crossbar_switch9x9 : if n_ports = 9 generate
 
 Switch_Crossbar9_9: Crossbar 
@@ -6618,5 +6668,5 @@
 
 -- switch 10 ports
-crossbar_switch10x10 : if number_of_ports = 10 generate
+crossbar_switch10x10 : if n_ports = 10 generate
 
 Switch_Crossbar10_10: Crossbar 
@@ -6682,5 +6732,5 @@
 
 -- switch 11 ports
-crossbar_switch11x11 : if number_of_ports = 11 generate
+crossbar_switch11x11 : if n_ports = 11 generate
 
 Switch_Crossbar11_11: Crossbar 
@@ -6748,5 +6798,5 @@
 
 -- switch 12 ports
-crossbar_switch12x12 : if number_of_ports = 12 generate
+crossbar_switch12x12 : if n_ports = 12 generate
 
 Switch_Crossbar12_12: Crossbar 
@@ -6816,5 +6866,5 @@
 
 -- switch 13 ports
-crossbar_switch13x13 : if number_of_ports = 13 generate
+crossbar_switch13x13 : if n_ports = 13 generate
 
 Switch_Crossbar13_13: Crossbar 
@@ -6886,5 +6936,5 @@
 
 -- switch 14 ports
-crossbar_switch14x14 : if number_of_ports = 14 generate
+crossbar_switch14x14 : if n_ports = 14 generate
 
 Switch_Crossbar14_14: Crossbar 
@@ -6958,5 +7008,5 @@
 
 -- switch 15 ports
-crossbar_switch15x15 : if number_of_ports = 15 generate
+crossbar_switch15x15 : if n_ports = 15 generate
 
 Switch_Crossbar15_15: Crossbar 
@@ -7032,5 +7082,5 @@
 
 -- switch 16 ports
-crossbar_switch16x16 : if number_of_ports = 16 generate
+crossbar_switch16x16 : if n_ports = 16 generate
 
 Switch_Crossbar16_16: Crossbar 
@@ -7108,5 +7158,5 @@
 -- le circuit genere depend du parametre generique nombre de ports
 -- switch 2 ports
-scheduler_switch2x2 : if number_of_ports = 2 generate
+scheduler_switch2x2 : if n_ports = 2 generate
 
 Scheduler2_2: Scheduler 
@@ -7125,5 +7175,5 @@
 
 -- switch 3 ports
-scheduler_switch3x3 : if number_of_ports = 3 generate
+scheduler_switch3x3 : if n_ports = 3 generate
 
 Scheduler3_3: Scheduler 
@@ -7142,5 +7192,5 @@
 
 -- switch 4 ports
-scheduler_switch4x4 : if number_of_ports = 4 generate
+scheduler_switch4x4 : if n_ports = 4 generate
 
 Scheduler4_4: Scheduler 
@@ -7159,5 +7209,5 @@
 
 -- switch 5 ports
-scheduler_switch5x5 : if number_of_ports = 5 generate
+scheduler_switch5x5 : if n_ports = 5 generate
 
 Scheduler5_5: Scheduler 
@@ -7176,5 +7226,5 @@
 
 -- switch 6 ports
-scheduler_switch6x6 : if number_of_ports = 6 generate
+scheduler_switch6x6 : if n_ports = 6 generate
 
 Scheduler6_6: Scheduler 
@@ -7193,5 +7243,5 @@
 
 -- switch 7 ports
-scheduler_switch7x7 : if number_of_ports = 7 generate
+scheduler_switch7x7 : if n_ports = 7 generate
 
 Scheduler7_7: Scheduler 
@@ -7210,5 +7260,5 @@
 
 -- switch 8 ports
-scheduler_switch8x8 : if number_of_ports = 8 generate
+scheduler_switch8x8 : if n_ports = 8 generate
 
 Scheduler8_8: Scheduler 
@@ -7227,5 +7277,5 @@
 
 -- switch 9 ports
-scheduler_switch9x9 : if number_of_ports = 9 generate
+scheduler_switch9x9 : if n_ports = 9 generate
 
 Scheduler9_9: Scheduler 
@@ -7244,5 +7294,5 @@
 
 -- switch 10 ports
-scheduler_switch10x10 : if number_of_ports = 10 generate
+scheduler_switch10x10 : if n_ports = 10 generate
 
 Scheduler10_10: Scheduler 
@@ -7261,5 +7311,5 @@
 
 -- switch 11 ports
-scheduler_switch11x11 : if number_of_ports = 11 generate
+scheduler_switch11x11 : if n_ports = 11 generate
 
 Scheduler11_11: Scheduler 
@@ -7278,5 +7328,5 @@
 
 -- switch 12 ports
-scheduler_switch12x12 : if number_of_ports = 12 generate
+scheduler_switch12x12 : if n_ports = 12 generate
 
 Scheduler12_12: Scheduler 
@@ -7295,5 +7345,5 @@
 
 -- switch 13 ports
-scheduler_switch13x13 : if number_of_ports = 13 generate
+scheduler_switch13x13 : if n_ports = 13 generate
 
 Scheduler13_13: Scheduler 
@@ -7312,5 +7362,5 @@
 
 -- switch 14 ports
-scheduler_switch14x14 : if number_of_ports = 14 generate
+scheduler_switch14x14 : if n_ports = 14 generate
 
 Scheduler14_14: Scheduler 
@@ -7329,5 +7379,5 @@
 
 -- switch 15 ports
-scheduler_switch15x15 : if number_of_ports = 15 generate
+scheduler_switch15x15 : if n_ports = 15 generate
 
 Scheduler15_15: Scheduler 
@@ -7346,5 +7396,5 @@
 
 -- switch 16 ports
-scheduler_switch16x16 : if number_of_ports = 16 generate
+scheduler_switch16x16 : if n_ports = 16 generate
 
 Scheduler16_16: Scheduler 
Index: PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/NOC/Scheduler.vhd
===================================================================
--- PROJECT_CORE_MPI/MPI_HCL/TRUNK/NOC/Scheduler.vhd	(revision 101)
+++ PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/NOC/Scheduler.vhd	(revision 139)
@@ -61,5 +61,5 @@
 COMPONENT Scheduler3_3
    PORT(
-      Request : IN std_logic_vector(9 downto 1);
+      Req : IN std_logic_vector(9 downto 1);
       Fifo_full : IN std_logic_vector(3 downto 1);
       clk : IN std_logic;
@@ -83,5 +83,5 @@
 COMPONENT Scheduler5_5
    PORT(
-      Request : IN std_logic_vector(25 downto 1);
+      Req : IN std_logic_vector(25 downto 1);
       Fifo_full : IN std_logic_vector(5 downto 1);
       clk : IN std_logic;
@@ -94,5 +94,5 @@
 COMPONENT Scheduler6_6
    PORT(
-      Request : IN std_logic_vector(36 downto 1);
+      Req : IN std_logic_vector(36 downto 1);
       Fifo_full : IN std_logic_vector(6 downto 1);
       clk : IN std_logic;
@@ -105,5 +105,5 @@
 COMPONENT Scheduler7_7
    PORT(
-      Request : IN std_logic_vector(49 downto 1);
+      Req : IN std_logic_vector(49 downto 1);
       Fifo_full : IN std_logic_vector(7 downto 1);
       clk : IN std_logic;
@@ -127,5 +127,5 @@
 COMPONENT Scheduler9_9
    PORT(
-      Request : IN std_logic_vector(81 downto 1);
+      Req : IN std_logic_vector(81 downto 1);
       Fifo_full : IN std_logic_vector(9 downto 1);
       clk : IN std_logic;
@@ -240,5 +240,5 @@
   Inst_Scheduler3_3 : Scheduler3_3
    PORT MAP(
-     Request => Request_latch, 
+     Req => Request_latch, 
      Fifo_full => Fifo_full_latch,
      clk => clk ,
@@ -268,5 +268,5 @@
   Inst_Scheduler5_5 : Scheduler5_5
    PORT MAP(
-     Request => Request, 
+     Req => Request, 
      Fifo_full => Fifo_full,
      clk => clk ,
@@ -282,5 +282,5 @@
   Inst_Scheduler6_6 : Scheduler6_6
    PORT MAP(
-     Request => Request_latch, 
+     Req => Request_latch, 
      Fifo_full => Fifo_full_latch,
      clk => clk ,
@@ -296,5 +296,5 @@
   Inst_Scheduler7_7 : Scheduler7_7
    PORT MAP(
-     Request => Request_latch, 
+     Req => Request_latch, 
      Fifo_full => Fifo_full_latch,
      clk => clk ,
@@ -324,5 +324,5 @@
   Inst_Scheduler9_9 : Scheduler9_9
    PORT MAP(
-     Request => Request_latch, 
+     Req => Request_latch, 
      Fifo_full => Fifo_full_latch,
      clk => clk ,
Index: PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/NOC/Scheduler.vhd.bak
===================================================================
--- PROJECT_CORE_MPI/MPI_HCL/TRUNK/NOC/Scheduler.vhd.bak	(revision 101)
+++ PROJECT_CORE_MPI/MPI_HCL/BRANCHES/v2.0/NOC/Scheduler.vhd.bak	(revision 139)
@@ -61,5 +61,5 @@
 COMPONENT Scheduler3_3
    PORT(
-      Request : IN std_logic_vector(9 downto 1);
+      Req : IN std_logic_vector(9 downto 1);
       Fifo_full : IN std_logic_vector(3 downto 1);
       clk : IN std_logic;
@@ -72,5 +72,5 @@
 COMPONENT Scheduler4_4
    PORT(
-      Request : IN std_logic_vector(16 downto 1);
+      Req : IN std_logic_vector(16 downto 1);
       Fifo_full : IN std_logic_vector(4 downto 1);
       clk : IN std_logic;
@@ -83,5 +83,5 @@
 COMPONENT Scheduler5_5
    PORT(
-      Request : IN std_logic_vector(25 downto 1);
+      Req : IN std_logic_vector(25 downto 1);
       Fifo_full : IN std_logic_vector(5 downto 1);
       clk : IN std_logic;
@@ -94,5 +94,5 @@
 COMPONENT Scheduler6_6
    PORT(
-      Request : IN std_logic_vector(36 downto 1);
+      Req : IN std_logic_vector(36 downto 1);
       Fifo_full : IN std_logic_vector(6 downto 1);
       clk : IN std_logic;
@@ -105,5 +105,5 @@
 COMPONENT Scheduler7_7
    PORT(
-      Request : IN std_logic_vector(49 downto 1);
+      Req : IN std_logic_vector(49 downto 1);
       Fifo_full : IN std_logic_vector(7 downto 1);
       clk : IN std_logic;
@@ -240,5 +240,5 @@
   Inst_Scheduler3_3 : Scheduler3_3
    PORT MAP(
-     Request => Request_latch, 
+     Req => Request_latch, 
      Fifo_full => Fifo_full_latch,
      clk => clk ,
@@ -254,5 +254,5 @@
   Inst_Scheduler4_4 : Scheduler4_4
    PORT MAP(
-     Request => Request_latch, 
+     Req => Request_latch, 
      Fifo_full => Fifo_full_latch,
      clk => clk ,
@@ -268,5 +268,5 @@
   Inst_Scheduler5_5 : Scheduler5_5
    PORT MAP(
-     Request => Request, 
+     Req => Request, 
      Fifo_full => Fifo_full,
      clk => clk ,
@@ -282,5 +282,5 @@
   Inst_Scheduler6_6 : Scheduler6_6
    PORT MAP(
-     Request => Request_latch, 
+     Req => Request_latch, 
      Fifo_full => Fifo_full_latch,
      clk => clk ,
@@ -296,5 +296,5 @@
   Inst_Scheduler7_7 : Scheduler7_7
    PORT MAP(
-     Request => Request_latch, 
+     Req => Request_latch, 
      Fifo_full => Fifo_full_latch,
      clk => clk ,
